Bug 432956 - Sound card locked after suspend/resume cycle
Sound card locked after suspend/resume cycle
Product: Fedora
Classification: Fedora
Component: ConsoleKit (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-02-15 07:59 EST by James
Modified: 2013-03-05 22:54 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-11-11 08:40:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James 2008-02-15 07:59:37 EST
Description of problem:
After a suspend/resume cycle in Gnome, my snd_intel8x0 ends up
locked/monopolised by some (as yet unidentified) application. Other ALSA
programs cannot find the sound card (e.g., alsamixer, alsacard). Logging out and
back in again fixes this. I'm not using PulseAudio. Filing under alsa-utils
since I don't know which of the following components is to blame:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Suspend.
2. Resume.
3. Run alsamixer, alsacard, etc.
Actual results:
Sound card "not found" or otherwise unavailable.

Expected results:
Sound as normal.
Comment 1 James 2008-02-15 13:41:27 EST
Examples of output:

[james@harmony ~]$ alsamixer 

alsamixer: function snd_ctl_open failed for default: No such device
[james@harmony ~]$ alsacard 
Open error: No such device
0[james@harmony ~]$ 
Comment 2 Andre Robatino 2008-02-15 15:52:51 EST
If you identify which normally loaded modules are associated with your card, you
might be able to rmmod them and then modprobe them to make it work again (much
less drastic than reboot).  I have a TV tuner card which doesn't work after
suspend unless I rmmod and then modprobe the associated modules.
Comment 3 James 2008-02-15 16:46:15 EST
It doesn't require anything so drastic ;) I don't need to go so far as module
reloads, this seems to be a userspace issue. I should point out that the problem
isn't as consistent as I first thought. When I tried switching to a text-mode
console and logged in as root, alsa-mixer ran fine. Switched back to X and
normal sound service resumed... possibly a ConsoleKit bug?

Note You need to log in before you can comment on or make changes to this bug.